## org.eclipse.wst.wsdl.binding.soap
Interface SOAPFactory

    public interface SOAPFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SOAPPackage`

Field Summary
`static SOAPFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`SOAPAddress` `createSOAPAddress()` Returns a new object of class 'Address'
`SOAPBinding` `createSOAPBinding()` Returns a new object of class 'Binding'
`SOAPBody` `createSOAPBody()` Returns a new object of class 'Body'
`SOAPFault` `createSOAPFault()` Returns a new object of class 'Fault'
`SOAPHeader` `createSOAPHeader()` Returns a new object of class 'Header'
`SOAPHeaderBase` `createSOAPHeaderBase()` Returns a new object of class 'Header Base'
`SOAPHeaderFault` `createSOAPHeaderFault()` Returns a new object of class 'Header Fault'
`SOAPOperation` `createSOAPOperation()` Returns a new object of class 'Operation'
`SOAPPackage` `getSOAPPackage()` Returns the package supported by this factory

Field Detail

### eINSTANCE

    static final SOAPFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSOAPBinding

    SOAPBinding createSOAPBinding()

  Returns a new object of class 'Binding'.

  Returns:
    a new object of class 'Binding'.

### createSOAPBody

    SOAPBody createSOAPBody()

  Returns a new object of class 'Body'.

  Returns:
    a new object of class 'Body'.

### createSOAPHeaderBase

    SOAPHeaderBase createSOAPHeaderBase()

  Returns a new object of class 'Header Base'.

  Returns:
    a new object of class 'Header Base'.

### createSOAPFault

    SOAPFault createSOAPFault()

  Returns a new object of class 'Fault'.

  Returns:
    a new object of class 'Fault'.

### createSOAPOperation

    SOAPOperation createSOAPOperation()

  Returns a new object of class 'Operation'.

  Returns:
    a new object of class 'Operation'.

### createSOAPAddress

    SOAPAddress createSOAPAddress()

  Returns a new object of class 'Address'.

  Returns:
    a new object of class 'Address'.

### createSOAPHeaderFault

    SOAPHeaderFault createSOAPHeaderFault()

  Returns a new object of class 'Header Fault'.

  Returns:
    a new object of class 'Header Fault'.

### createSOAPHeader

    SOAPHeader createSOAPHeader()

  Returns a new object of class 'Header'.

  Returns:
    a new object of class 'Header'.

### getSOAPPackage

    SOAPPackage getSOAPPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.